Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `Freeze::Connection`

## Overview

    local interface Connection

A connection to a database (database environment with Berkeley DB). If you want to use a connection concurrently in multiple threads, you need to serialize access to this connection.

### Operation Index

`beginTransaction`

  Create a new transaction.

`currentTransaction`

  Returns the transaction associated with this connection.

`close`

  Closes this connection.

`getCommunicator`

  Returns the communicator associated with this connection

`getName`

  The name of the connected system (e.g.

## `beginTransaction`

    Transaction beginTransaction();

Create a new transaction. Only one transaction at a time can be associated with a connection.

### Return Value

The new transaction

### Exceptions

`raises`

  TransactionAlreadyInProgressException if a transaction is already associated with this connection.

## `currentTransaction`

    Transaction currentTransaction();

Returns the transaction associated with this connection.

### Return Value

The current transaction if there is one, null otherwise.

## `close`

    void close();

Closes this connection. If there is an associated transaction, it is rolled back.

## `getCommunicator`

    ::Ice::Communicator getCommunicator();

Returns the communicator associated with this connection

## `getName`

    string getName();

The name of the connected system (e.g. Berkeley DB environment)

<<< Previous | Home | Next >>>
`Freeze::CatalogData` | Up | `Freeze::DatabaseException`